## openmpi1.5 1.5.4

=== debian/changelog ===
openmpi1.5 (1.5.4-0ubuntu1) precise; urgency=low

  * Fork new openmpi1.5 package for co-existence with openmpi 1.4
    (LP: #889644).
  * Move required plugins from openmpi-checkpoint to libopenmpi1.5-2:
    - d/control: openmpi-checkpoint now depends on libopenmpi1-5-2
    - d/libopenmpi1.5-2.install*: switch to wildcard plugin install, drop
      specific install files for armel and armhf.
    - d/openmpi-checkpoint.install: Don't install any plugins.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 23 Feb 2012 10:42:19 +0000

openmpi (1.5.4-2~exp2) experimental; urgency=low

  [ Manuel Prinz ]
  * Fixed dangling symlinks. Thanks to Roderich Schupp for the patch!
    Closes: #658594.
  
  [ James Pages ]
  * The checks for FAKEROOT introduced to fix this bug upstream are
     preceeded by a new check that calls stat re-producing the original bug.
     Re-ordering the checks to ensure that FAKEROOT is detected first
     appears to resolve this issue.
     Closes: #658600.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Feb 2012 15:42:41 +0100

openmpi (1.5.4-2~exp1) experimental; urgency=low

  [ Manuel Prinz ]
  * Moved all CR components from libopenmpi2 to openmpi-checkpoint. Fixes the
    build issue on ia64.

  [ Jani Monoses ]
  * Build for armhf as well.
  * Add armel/armhf specific libopenmpi2.install files.
  * debian/patches/configure_arm_fix.patch: Fix arm FTBFS.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 24 Jan 2012 16:34:52 +0100

openmpi (1.5.4-1) experimental; urgency=low

  * New upstream release. Closes: #619998.
    - ABI changes, bumped SONAME.
  * Changes in packaging:
    - Using "3.0 (quilt)" source format.
    - Deleted README.source (obsolete).
    - Updated watch file.
    - Bumped Standards-Version to 3.9.2. No changes needed.
    - Changed hard-coded list of non-Linux architectures in Build-Depends to
      "linux-any". Closes: #634628.
    - openmpi-bin now "Suggests" openmpi-checkpoint instead of recommending it.
    - Deleted shlibs.local (obsolete).
    - Updated debian/copyright.
    - Updated patches.
    - Substituted "OpenMPI" with "Open MPI" (official writing).
    - Fixed a small bug when calling dh_installdocs. Thanks to Jean-Louis Dupond
      for the patch! Closes: #634899.
    - Dropped .la files (no rdepends with .la files). Closes: #628070.
    - Build against libltdl and libhwloc provided by Debian.
  * Acknowledge NMU. Thanks to Riku Voipio!
  * Builds support for GridEngine. Closes: #626164.
  * Enabled support for MPI threads. Closes: #602132.

 -- Manuel Prinz <manuel@debian.org>  Wed, 21 Dec 2011 00:38:25 +0100

openmpi (1.4.3-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Add openmpi link fix, closes: #621978
    - Thanks to Daniel Schepler <dschepler@gmail.com>
  * Add arm support from ubuntu, closes: #617779
    - Thanks to Jani Monoses <jani@ubuntu.com>

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 20 Apr 2011 19:53:03 +0300

openmpi (1.4.3-2) unstable; urgency=low

  * Fixed symlinks for shared libraries. Thanks to Matthias Klose
    for the patch! Closes: #608717, #609830.
  * Fixed symlink loop in openmpi-checkpoint. Closes: #611454.

 -- Manuel Prinz <manuel@debian.org>  Fri, 11 Mar 2011 14:45:20 +0100

openmpi (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Removed the following patches, all applied upstream:
    - build_kfreebsd
    - manpage-errors-checkpoint
    - manpage-errors-macro
    - manpage-errors-whatis
    - manpage-spelling-errors
    - var-copy
  * Added a patch that fixes man page issues.
  * Added sparc64 to Architecture list. Thanks to Aurelien Jarno for
    the patch! Closes: #596134.

 -- Manuel Prinz <manuel@debian.org>  Wed, 15 Dec 2010 18:50:16 +0100

openmpi (1.4.2-4) unstable; urgency=low

  * Added patch to remove use of AS_VAR_GET. Closes: #592892.
  * debian/control: Added powerpcspe to architecture list. Thanks to
    Sebastian Andrzej Siewior for the patch! Closes: #593481.
  * Build with support for Torque (except on HURD). Closes: #592887.
  * Updated Standards-Version to 3.9.1. No changes needed.

 -- Manuel Prinz <manuel@debian.org>  Wed, 01 Sep 2010 17:53:44 +0200

openmpi (1.4.2-3) unstable; urgency=low

  * Fixed build issue on kFreeBSD. Closes: #589467.
  * Added and updated patch meta-information.

 -- Manuel Prinz <manuel@debian.org>  Tue, 20 Jul 2010 17:31:52 +0200

openmpi (1.4.2-2) unstable; urgency=low

  * Fixed broken broken library symlinks. Closes: #589319.

 -- Manuel Prinz <manuel@debian.org>  Fri, 16 Jul 2010 20:49:24 +0200

openmpi (1.4.2-1) unstable; urgency=low

  * New upstream release. Closes: #585800.
  * Updated patches.
  * Updated Standards-Version. No changes needed.
  * Install previously uninstalled files. Closes: #589043.
  * Fixed several errors in man pages.

 -- Manuel Prinz <manuel@debian.org>  Thu, 15 Jul 2010 17:19:23 +0200

openmpi (1.4.1-3) unstable; urgency=low

  * Added slave alternatives symlinks for MPI FORTRAN libraries.
    Thanks to Adam C. Powell, IV for the patch! Closes: #563705.
  * Recommend openmpi-checkpoint only on available architectures.
  * Increased update-alternatives priority of libopenmpi-dev.

 -- Manuel Prinz <manuel@debian.org>  Thu, 25 Mar 2010 16:32:21 +0100

openmpi (1.4.1-2) unstable; urgency=low

  * Fixed build issues on HURD. Thanks to Pino Toscano for the patch!
    Closes: #552397.
  * Recreate autotools stuff during build. Added autoconf, automake,
    libtool and libltdl-dev to Build-Depends.
  * openmpi-checkpoint now depends on blcr-util. Closes: #572229.
  * Fixed symlink issues with ompi-{checkpoint,restart}. Closes: #572021.
  * Retroactively adding LP entries to close bugs in Ubuntu's Launchpad.

 -- Manuel Prinz <manuel@debian.org>  Thu, 18 Mar 2010 17:57:30 +0100

openmpi (1.4.1-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * New upstream release. Libtool patch removed, included upstream.
  * Watch file updated.

  [ Manuel Prinz ]

