=== debian/watch ===
version=3
http://www.open-mpi.org/software/ompi/v1.5/ .*/openmpi-([\d+\.]+)\.tar\.gz
